@import url(https://fonts.googleapis.com/css?family=Sniglet|Raleway:900);

body, html {
    height: 100%;
    padding: 0;
    margin: 0;
    font-family: 'Sniglet', cursive;
    background-color: #182a48;
    color: #ffffff;
}

h1 {
    font-weight: normal;
    font-size: 3em;
    font-family: 'Raleway', sans-serif;
    margin: 0 auto;
    margin-top: 30px;
    max-width: 400px;
    color: #f7ac1f;
    text-align: center;
}

h2 {
    font-weight: normal;
    font-size: 2em;
    font-family: 'Raleway', sans-serif;
    margin: 0 auto;
    margin-top: 10px;
    color: #ffffff;
    text-align: center;
}

h3 {
    font-weight: normal;
    font-size: 1.5em;
    font-family: 'Raleway', sans-serif;
    margin: 0 auto;
    margin-top: 10px;
    color: #f7ac1f;
    text-align: center;
}

header {
    height: 160px;
    background-color: #183052;
    background-image: url('../../logo/golf.png');
    background-repeat: repeat-x;
    background-position: bottom;
}

#form {
    height: 100%;
    background-color: #03426a;
    overflow: hidden;
    position: relative;
    padding-bottom: 50px;
}

form {
    margin: 0 auto;
    width: 300px;
    padding-top: 20px;
    color: white;
    position: relative;
}

label {
    font-size: 1.5em;
    padding-left: 20px;
    color: #f7ac1f;
}

select, input, textarea {
    width: 300px;
    border: none;
    border-radius: 20px;
    outline: none;
    padding: 10px;
    font-family: 'Sniglet', cursive;
    font-size: 1em;
    color: #333;
    background-color: #fff;
    border: solid 3px #f7ac1f;
    transition: border 0.5s;
    box-sizing: border-box;
}

input:focus, textarea:focus {
    border: solid 3px #E2B900;
}

input[type="submit"] {
    background-color: #f7ac1f;
    color: #182a48;
    height: 50px;
    cursor: pointer;
    margin-top: 30px;
    font-size: 1.29em;
    font-family: 'Sniglet', cursive;
    border: none;
    transition: background-color 0.5s;
}

input[type="submit"]:hover {
    background-color: #E2B900;
}

button[type="submit"], button[type="button"], button {
    background-color: #f7ac1f;
    color: #182a48;
    border: none;
    border-radius: 20px;
    height: 50px;
    cursor: pointer;
    margin-top: 30px;
    font-size: 1.29em;
    font-family: 'Sniglet', cursive;
    width: 300px;
    box-sizing: border-box;
    transition: background-color 0.5s;
}

button:hover {
    background-color: #E2B900;
}

.formgroup, .formgroup-active, .formgroup-error {
    background-repeat: no-repeat;
    background-position: right bottom;
    background-size: 10.5%;
    transition: background-image 0.7s;
    width: 566px;
    padding-top: 2px;
}

.formgroup {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 15px;
}

.formgroup label {
    margin-bottom: 5px;
    font-size: 1.2em;
    color: #f7ac1f;
}


.formgroup-active {
    background-image: url('../../logo/octo.png');
}

.formgroup-error {
    background-image: url('../../logo/octo-error.png');
    color: red;
}

.transaction-container {
    border: 1px solid #f7ac1f;
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    background-color: #183052;
    color: #fff;
    display: flex;
    align-items: center;
}

.transaction-container label {
    display: flex;
    align-items: center;
    margin-bottom: 0;
    color: #f7ac1f;
}

.transaction-container input[type="radio"] {
    margin-right: 15px;
    flex-shrink: 0;
    width: auto;
    height: auto;
    padding: 0;
    margin-top: 0;
    margin-bottom: 0;
}

.transaction-container span {
    flex-grow: 1;
}

.no-transaction-found {
    color: #E2B900;
}

#cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #182a48;
    color: #fff;
    text-align: center;
    padding: 10px 0;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.1);
    z-index: 9999;
}

#cookie-banner p {
    margin: 0;
    padding: 10px;
}

#accept-cookies-btn {
    background-color: #f7ac1f;
    color: #182a48;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 5px;
    margin-top: 5px;
}

#accept-cookies-btn:hover {
    background-color: #E2B900;
}

.fish {
    background-image: url('../../logo/fish.png');
    width: 235px;
    height: 104px;
    margin-left: -235px;
    position: absolute;
    animation: myfirst 24s linear infinite;
}

#fish {
    top: 120px;
}

#fish2 {
    top: 260px;
    animation-delay: 12s;
}

@keyframes myfirst {
    0% {margin-left: -235px}
    70% {margin-left: 100%;}
    100% {margin-left: 100%;}
}

@-webkit-keyframes myfirst {
    0% {margin-left: -235px}
    90% {margin-left: 100%;}
    100% {margin-left: 100%;}
}